{% extends "base.no.search.html.j2" %}
{% block meta %}
  <!-- 1. skin -->
  <link rel="stylesheet" href="https://releases.flowplayer.org/7.2.7/skin/skin.css">
  <style>.flowplayer .fp-color { background-color: #fff; }</style>
  <style>.flowplayer.is-fullscreen .fp-player { background-color: #000; }</style>
  {# <!-- 2. jquery library - required for video tag based installs --> #}
  {# <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script> #}
  <!-- 3. flowplayer -->
  <script src="https://releases.flowplayer.org/7.2.7/flowplayer.min.js"></script>

  <link rel="stylesheet" type="text/css" href="/static/css/ver.css" />
  <link rel="stylesheet" type="text/css" href="/static/css/flowplayer.css" />
{% endblock %}

{% block content %}

    <div class="flowplayer fp-outlined">
        <video>
          <source
            type="video/mp4"
            src="{{uri}}"
          />
        </video>
    </div>

    <div id="hero">
      <div id="status">
        <div>
            <code id="progressPerc">0 %</code> ,
            &#x2198;<code id="downloadSpeed">0 b/s</code> /
            &#x2197;<code id="uploadSpeed">0 b/s</code> ,
            <span id="downloadStatus">conectado a <code id="numPeers">0 nodos</code></span>.
        </div>
      </div>
    </div>

{% endblock %}

{% block js %}
  <script src='https://cdn.jsdelivr.net/webtorrent/latest/webtorrent.min.js'></script>
  <script src='https://momentjs.com/downloads/moment.min.js'></script>
  <script src="/static/js/ver.magnet.external.player.js"></script>

  <script>
    flowplayer(function (api, root) {
        var fsbutton = root.querySelector(".fp-fullscreen");

        //append fullscreen button after HD menu is added on ready
        api.on("ready", function () {
            root.querySelector(".fp-controls").appendChild(fsbutton);
        });
    });
  </script>
{% endblock %}
